aboutsummaryrefslogtreecommitdiffstats
path: root/lang/fpc/pkg-install
diff options
context:
space:
mode:
authorlioux <lioux@FreeBSD.org>2001-12-09 10:28:27 +0800
committerlioux <lioux@FreeBSD.org>2001-12-09 10:28:27 +0800
commit324288ceab71761f9851c256b12868c9ebf7a2f1 (patch)
tree873239ea2bb2b7534e1b0edc8b21ea6d53bd08b5 /lang/fpc/pkg-install
parent8858fac2cc5228d15237fe54b8224198d10715a6 (diff)
downloadfreebsd-ports-gnome-324288ceab71761f9851c256b12868c9ebf7a2f1.tar.gz
freebsd-ports-gnome-324288ceab71761f9851c256b12868c9ebf7a2f1.tar.zst
freebsd-ports-gnome-324288ceab71761f9851c256b12868c9ebf7a2f1.zip
o New port fpc version 1.0.4: Free Pascal beta compiler with Turbo,
Delphi and other extensions o Borrows install scripting tricks from halflifeserver port PR: 32385 Submitted by: John Merryweather Cooper <jmcoopr@webmail.bmi.net>
Diffstat (limited to 'lang/fpc/pkg-install')
-rw-r--r--lang/fpc/pkg-install31
1 files changed, 31 insertions, 0 deletions
diff --git a/lang/fpc/pkg-install b/lang/fpc/pkg-install
new file mode 100644
index 000000000000..a41e51a80852
--- /dev/null
+++ b/lang/fpc/pkg-install
@@ -0,0 +1,31 @@
+#!/bin/sh
+# $FreeBSD$
+
+[ $# != 2 ] && exit 1
+PKGNAME=$1
+ACTION=$2
+
+LIBDIR=${PKG_PREFIX}/lib/fpc/${PKGNAME##fpc-}
+
+LN=/bin/ln
+SH=/bin/sh
+
+case "$ACTION" in
+
+POST-INSTALL)
+ @${LN} -sf ${LIBDIR}/ppc386 ${PKG_PREFIX}/bin/ppc386
+ @${SH} ${LIBDIR}/samplecfg ${LIBDIR} ${PKG_PREFIX}/etc
+ ;;
+
+DEINSTALL)
+ ;;
+
+PRE-INSTALL|POST-DEINSTALL)
+ ;;
+
+*)
+ exit 1
+ ;;
+esac
+
+exit